Bug 205558 - [GTK] Make ondemand hardware acceleration policy never leave AC mode
Summary: [GTK] Make ondemand hardware acceleration policy never leave AC mode
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks:
 
Reported: 2019-12-23 07:10 PST by Carlos Garcia Campos
Modified: 2020-01-02 01:05 PST (History)
14 users (show)

See Also:


Attachments
Patch (3.15 KB, patch)
2019-12-23 07:16 PST, Carlos Garcia Campos
svillar: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2019-12-23 07:10:22 PST
We still enter AC mode on demand but we never leave it for the same drawing area. This avoids scrolling performance problems with some websites that start small accelerated animation while scrolling (like WebKit bugzilla review tool), due to constant enter/leave AC mode.
Comment 1 Carlos Garcia Campos 2019-12-23 07:16:08 PST
Created attachment 386342 [details]
Patch
Comment 2 EWS Watchlist 2019-12-23 07:16:50 PST
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Sergio Villar Senin 2019-12-23 10:46:34 PST
Comment on attachment 386342 [details]
Patch

I'm fine with the change. I'd like to hear from Zan or Miguel though, as they might have a different opinion on the matter.
Comment 4 Zan Dobersek 2020-01-01 23:52:18 PST
It makes sense.
Comment 5 Carlos Garcia Campos 2020-01-02 01:05:02 PST
Committed r253974: <https://trac.webkit.org/changeset/253974>